> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List bandwidth plans

> Lists all bandwidth plans.



## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /plans/bandwidth
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /plans/bandwidth:
    get:
      tags:
        - Plans
      summary: List bandwidth plans
      description: Lists all bandwidth plans.
      operationId: get-bandwidth-plans
      parameters:
        - name: API-Version
          in: header
          schema:
            type: string
            default: '2023-06-01'
          examples:
            Success:
              value: '2023-06-01'
        - name: filter[id]
          in: query
          required: false
          description: The plan ID to filter by
          schema:
            type: string
        - name: page[size]
          in: query
          schema:
            type: integer
            minimum: 1
            default: 20
          required: false
          description: Number of items to return per page
        - name: page[number]
          in: query
          schema:
            type: integer
            minimum: 1
            default: 1
          required: false
          description: Page number to return (starts at 1)
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      - id: chile-54
                        type: bandwidth_plan
                        attributes:
                          region: Chile 54
                          locations:
                            - ASH
                            - SAO
                          pricing:
                            usd:
                              monthly: 5000
                              yearly: 6000
                            brl:
                              monthly: 8000
                              yearly: null
                    meta: {}
              schema:
                $ref: '#/components/schemas/bandwidth_plans'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.plans.list_bandwidth(api_version="2023-06-01", page_size=20, page_number=1)

                while res is not None:
                    # Handle items

                    res = res.next()
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Plans.GetBandwidth(ctx, latitudeshgosdk.Pointer(\"2023-06-01\"), nil, latitudeshgosdk.Pointer[int64](20), latitudeshgosdk.Pointer[int64](1))\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.BandwidthPlans != nil {\n        for {\n            // handle items\n\n            res, err = res.Next()\n\n            if err != nil {\n                // handle error\n            }\n\n            if res == nil {\n                break\n            }\n        }\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.plans.getBandwidth({});

              for await (const page of result) {
                console.log(page);
              }
            }

            run();
components:
  schemas:
    bandwidth_plans:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/bandwidth_plan_data'
        meta:
          type: object
    bandwidth_plan_data:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - bandwidth_plan
        attributes:
          type: object
          properties:
            region:
              type: string
            locations:
              type: array
              items:
                type: string
            pricing:
              type: object
              properties:
                usd:
                  type: object
                  properties:
                    monthly:
                      type: integer
                    hourly:
                      type: integer
                brl:
                  type: object
                  properties:
                    monthly:
                      type: integer
                    hourly:
                      type: integer
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````